Wallets
List wallets
One row per registered tokenKey.
Authorization
apiKey X-API-Key<token>
Your merchant API key, shown once at creation in the dashboard (Settings → API key).
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/wallets"{ "wallets": [ { "id": "wal_01j8x2q3r4s5t6u7v8w9x0y1z2", "merchantId": "mrc_01j7f0a1b2c3d4e5f6g7h8i9j0", "tokenKey": "usdc-polygon", "chainId": 137, "receiverWallet": "0x71c7656ec7ab88b098defb751b7401b5f6d8976", "createdAt": "2026-08-01T12:00:00.000Z" }, { "id": "wal_01j8x2q3r4s5t6u7v8w9x0y1z3", "merchantId": "mrc_01j7f0a1b2c3d4e5f6g7h8i9j0", "tokenKey": "usdt-base", "chainId": 8453, "receiverWallet": "0x8f3cf7ad23cd3cadbd9735aff958023239c6a063", "createdAt": "2026-08-01T12:05:00.000Z" }, { "id": "wal_01j8x2q3r4s5t6u7v8w9x0y1z4", "merchantId": "mrc_01j7f0a1b2c3d4e5f6g7h8i9j0", "tokenKey": "usdc-solana", "chainId": 101, "receiverWallet": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM", "createdAt": "2026-08-01T12:10:00.000Z" } ]}